Package org.kapott.hbci.manager

# Enum HHDVersion.Type

java.lang.Object
java.lang.Enum<HHDVersion.Type>
org.kapott.hbci.manager.HHDVersion.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<HHDVersion.Type>`, `java.lang.constant.Constable`

Enclosing class:
  HHDVersion

public static enum HHDVersion.Type extends Enum<HHDVersion.Type>
Definiert die Art des TAN-Verfahrens.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHIPTAN`
chipTAN oder smsTAN.
`PHOTOTAN`
photoTAN.
`QRCODE`
QR-Code.

## Method Summary

Modifier and Type
Method
Description
`static HHDVersion.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HHDVersion.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHIPTAN

public static final HHDVersion.Type CHIPTAN
chipTAN oder smsTAN.

### PHOTOTAN

public static final HHDVersion.Type PHOTOTAN
photoTAN.

### QRCODE

public static final HHDVersion.Type QRCODE
QR-Code.

## Method Details

### values

public static HHDVersion.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HHDVersion.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null